//
//  WelcomeProModal.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 13/10/2025.
//

import SwiftUI

struct WelcomeProModal: View {
    var body: some View {
        VStack(spacing: 48) {
            VStack(spacing: 12) {
                SQText("Bienvenue sur")
                    .sqSize(32)
                    .sqFont(.bold)
                SQImage("logo-pro-color", height: 47)
            }
            HStack {
                VStack(alignment: .leading, spacing: 16) {
                    SQText("Vous pouvez désormais :")
                        .sqSize(18)
                        .sqFont(.semiBold)
                    HStack(alignment: .top, spacing: 8) {
                        SQIcon(.check, color: .sqGrape())
                        SQText("Répondre à toutes les demandes, dont celles réservées aux pros")
                    }
                    HStack(alignment: .top, spacing: 8) {
                        SQIcon(.check, color: .sqGrape())
                        SQText("Créer vos supports de communication personnalisés (cartes de visite et prospectus)")
                    }
                    HStack(alignment: .top, spacing: 8) {
                        SQIcon(.check, color: .sqGrape())
                        SQText("Utiliser notre logiciel de facturation")
                    }
                }
                Spacer()
            }
            .padding(16)
            .cornerRadius(8)
            .overlay(
                RoundedRectangle(cornerRadius: 8)
                    .inset(by: 0.5)
                    .stroke(Color.sqNeutral(20), lineWidth: 1)
            )

            Spacer()
            SQButton("C’est parti !") {}
                .sqColorScheme(.grape)
        }
        .sqNavigationBar(title: "")
        .padding(16)
    }
}

#Preview {
    WelcomeProModal()
}
